slepc-3.21.1 2024-04-26
Report Typos and Errors

# SVDAllocateSolution

Allocate memory storage for common variables such as the singular values and the basis vectors.

### Synopsis

    #include "slepcsvd.h"
    PetscErrorCode SVDAllocateSolution(SVD svd,PetscInt extra)

Collective

### Input Parameters

| svd | - eigensolver context
| extra | - number of additional positions, used for methods that require a working basis slightly larger than ncv

### Developer Notes

This is SLEPC_EXTERN because it may be required by user plugin SVD implementations.

This is called at setup after setting the value of ncv and the flag leftbasis.

### See Also

SVDSetUp()

### Level

developer

### Location

src/svd/interface/svdsetup.c
Index of all SVD routines
Table of Contents for all manual pages
Index of all manual pages